extends Node


# Declare member variables here. Examples:
var living_enemies = 0

# Called when the node enters the scene tree for the first time.
func _ready():
	self.connect("rollforhit", $Player, "handle_shotat")
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

func initialize_enemy(enemy_instance, player_instance):
	# make it so the enemy can detect when the player shoots at them
	player_instance.connect("playerfire", enemy_instance, "handle_shotat")
	# vice versa, enemy gun shots send a signal to player
	enemy_instance.connect("gunshot", self, "handle_shotat")
	enemy_instance.connect("enemydead", self, "remove_enemy")

func _on_Player_death():
	game_over()
	var gover = $Player.get_node("GameOver")
	var rg = $Player.get_node("Restart")
	gover.show()
	rg.show()
	pass # Replace with function body.

func _on_Player_start_game():
	start_game()
	pass # Replace with function body.

func handle_shotat():
	print("NUmber of living enemies: " + str(living_enemies))
	emit_signal("rollforhit", living_enemies)

func game_over():
	pass

func start_game():
	pass

func remove_enemy():
	pass

