extends Area2D


# Declare member variables here. Examples:
# var a = 2
# var b = "text"

var targeted = false
var slump_offset = 146
var dead = false

signal gunshot
signal enemydead

# Called when the node enters the scene tree for the first time.


func handle_shotat():
	if targeted == true and dead == false:
		self.die()
		emit_signal("enemydead")


func die():
	$deathsound.play()
	$animation.animation = "die"
	$animation.play()
	self.position.y += slump_offset
	self.z_index = 6
	self.dead = true
	$Shot.stop()

func _ready():
	$animation.animation = "default"
	$Shot.start()


func _input(event):
	pass



# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass







func _on_Enemy_mouse_entered():
	targeted = true



func _on_Enemy_mouse_exited():
	targeted = false # Replace with function body.


func _on_Shot_timeout():
	$animation.animation = "shoot"
	$animation.play()
	$enemygunshot.play() # Replace with function body.
	emit_signal("gunshot")
	#TODO: Send signal here




func _on_animation_animation_finished():
	if $animation.animation == "shoot":
		$animation.animation = "default"

